Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 160143 - disklessrc line 39 output e numeric value expected
Summary: disklessrc line 39 output e numeric value expected
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: system-config-netboot
Version: 3
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jason Vas Dias
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-06-11 14:08 UTC by ulrich
Modified: 2007-11-30 22:11 UTC (History)
2 users (show)

Fixed In Version: 0.1.18
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-08-25 10:03:46 UTC


Attachments (Terms of Use)

Description ulrich 2005-06-11 14:08:33 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.8) Gecko/20050513 Fedora/1.0.4-1.3.1 Firefox/1.0.4

Description of problem:
if a module failes to load in disklessrc loadmodules()
then disklessrc aborts with the following error:

disklessrc line 39 output e numeric value expected

in my case i tried a custom built kernel which has nfs compilied in,
so loading nfs module will fail, but the disklessrc should not abort.

the line 39 contains

return e;

should be written as

return $e;



Version-Release number of selected component (if applicable):
system-config-netboot-0.1.16-1_FC3

How reproducible:
Always

Steps to Reproduce:
1. build a custom kernel with nfs builtin
2. install kernel image and modules in diskless root
3. used updateDiskless to build initrd.img
4. install kernel vmlinuz and initrd.img in tftp dir
5..boot diskless client with new kernel image and initrd.img

Additional info:

Comment 1 Jason Vas Dias 2005-06-14 00:13:53 UTC
This bug is now fixed with system-config-netboot-0.1.18, soon to be
in FC-3 updates, but which meanwhile can be downloaded from :
http://people.redhat.com/~jvdias/system-config-netboot
Please try out the new version and let me know of any issues - thanks!

Comment 2 Walter Justen 2005-08-25 10:03:46 UTC
Thanks for the bug report. This particular bug was fixed and a update package
was published for download. Please feel free to report any further bugs you find.


Note You need to log in before you can comment on or make changes to this bug.